Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 320091

Summary: media-sound/vkeybd-0.1.18d fails to launch
Product: Gentoo Linux Reporter: Paweł Hajdan, Jr. (RETIRED) <phajdan.jr>
Component: Current packagesAssignee: Gentoo Sound Team <sound>
Status: RESOLVED FIXED    
Severity: normal CC: fordfrog
Priority: High Keywords: NeedPatch, UPSTREAM
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 935227    
Bug Blocks: 318201    

Description Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2010-05-17 06:41:22 UTC
$ vkeybd      
Error in startup script: no such variable
    (read trace on "env(LANG)")
    invoked from within
"string trim $env(LANG) ."
    (procedure "SearchDefaultLang" line 28)
    invoked from within
"SearchDefaultLang $defkeymap"
    invoked from within
"set optvar(keymap) [SearchDefaultLang $defkeymap]"
    (file "/usr/share/vkeybd/vkeybd.tcl" line 826)
Comment 1 Andreas Schürch gentoo-dev 2010-06-22 11:55:55 UTC
This only happens when $LANG isn't set. If one follows the localization guide, then this env-variable will be set through /etc/env.d/02locale.

This behavior wasn't the same with current stable... 
Maybe an elog-message if that variable isn't set could be of use!? 
Comment 2 Christoph Mende (RETIRED) gentoo-dev 2010-06-24 18:35:12 UTC
the same check is there for HOME btw
Comment 3 Samuli Suominen (RETIRED) gentoo-dev 2010-06-27 17:53:39 UTC
I've added a postinst message, but it's not the full solution here, so leaving this open.

Mailing upstream now.
Comment 4 Miroslav Šulc gentoo-dev 2024-06-30 11:49:18 UTC
running this works for me with 0.1.8e:

LANG= vkeybd
Comment 5 Larry the Git Cow gentoo-dev 2024-07-01 12:28:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d2ca294cd56d8beda4cce481b4524c87c2fec11c

commit d2ca294cd56d8beda4cce481b4524c87c2fec11c
Author:     Miroslav Šulc <fordfrog@gentoo.org>
AuthorDate: 2024-07-01 12:28:27 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2024-07-01 12:28:27 +0000

    media-sound/vkeybd: dropped obsolete 0.1.18.d
    
    Bug: https://bugs.gentoo.org/935227
    Closes: https://bugs.gentoo.org/534484
    Closes: https://bugs.gentoo.org/320091
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 media-sound/vkeybd/Manifest              |  1 -
 media-sound/vkeybd/vkeybd-0.1.18d.ebuild | 49 --------------------------------
 2 files changed, 50 deletions(-)